@import 'mixins.scss';
@import 'variables.scss';
.navbar{
    position: fixed;
    z-index: 100;
    width: 100%;
    top: 0;
    background-color: #27262A;
    padding: 35px 0;
    .container{
        @include flex(space-between);
    }
}
.logo{
    @include flex;
}
.logo__text{
    color: $basic-color;
    display: none;
    font-family: 'Lato', sans-serif;
    font-weight: bold;
    font-size: 24px;
    line-height: 16px;
    text-transform: uppercase;
    margin-left: 20px;
}
.logo__icon{
    position: relative;
    height: 41px;
    width: 43px;
}
.logo__icon-hover{
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
}
.navbar__menu-buttons{
    position: relative;
    cursor: pointer;
    width: 40px;
    height: 40px;
}
.navbar__menu-button{
    display: none;
}
.navbar__menu-button.active{
    display: block;
}

.header{
    background-image: url(./img/header-bg.png);
    @include background;
    padding-top: 110px;
    height: 720px;
    margin-bottom: 70px;
    .container{
        position: relative;
        height:100%;
        @include flex($direction: column, $justify: space-between)
    }
}
.menu-for-middle-screen{
    background-color: #27262A;
    display: none;
    justify-content: space-evenly;
    padding-top: 23px;
        li{
            @include menu-item-text;
            cursor: pointer;
        }
}
.navbar__right-part{
    @include flex;
}
.menu-for-large-screen{
    display: none;
    width: 500px;
    justify-content: space-around;
        li{
            @include menu-item-text;
            cursor: pointer;
        }
}
.menu{
    background-color:#333333;
    display:none;
    position: absolute;
    top: 110px;
    left: 50%;
    transform: translateX(-50%);
    min-width: 310px;
    li{
        padding:30px 0 20px 35px;
        border-bottom: 3px solid #3B3B3B;
        font-size: 26px;
        line-height: 26px;
        color: #FFFFFF;
        cursor: pointer;
        &.active{
            color: $basic-color;  
            position: relative;
        }
        &.active::before{
            content: "";
            display: inline-block;
            height: 55px;
            width: 10px;
            background-color: $basic-color;
            position: absolute;
            left: 0;
            top: 10px;
        }
    }
    &.active{
        display: block;
    }
}

.header__title{
    margin-top: 50px;
    font-weight: bold;
    font-size: 48px;
    line-height: 48px;
    text-align: center;
    color: #FFFFFF;
}
.header__subtitle{
    font-size: 18px;
    line-height: 24px;
    text-align: center;
    color: $basic-color;
    margin: 20px 0;
}
.header__text{
    font-size: 14px;
    line-height: 14px;
    text-align: center;
    text-transform: uppercase;
    color: #848E97;
    margin-top: 15px;
}
.button--buy-now,.button--download{
    background-color: $basic-color;
    color: #FFFFFF;
    font-weight: bold;
    border: 2px solid $basic-color;
}
.button--buy-now{
    font-size: 15px;
    line-height: 15px;
}
.button--download{
    font-size: 18px;
    line-height: 20px;
}
.header__bottom-part{
    position: relative;
    top: 50px;
}

@media (min-width:481px){
    .navbar__menu-buttons{
        display: none;
    }
    .menu-for-middle-screen{
        display: flex;
    }
    .navbar{
        padding:15px 0 20px;
    }
    .header__title{
        margin-top: 70px;
    }
    .header{
        height:800px;
    }
    .logo{
        .logo__text{
            display: block;
        }
    }
    .header__subtitle{
        font-family: 'Lato', sans-serif;
    }
    .menu.active{
        display: none;
    }
}
@media (min-width:993px){
    .menu-for-middle-screen{
        display: none;
    }
    .menu-for-large-screen{
        display: flex;
        li:hover{
            color: #FFFFFF ;
        }
    }
    .navbar{
    background-color: black;
    padding-top: 30px;
    }
    .logo:hover .logo__text{
        color: #FFFFFF;
    }
    .logo:hover .logo__icon-hover{
        opacity: 1;
    }
    .button--buy-now:hover, .button--download:hover{
        color: $basic-color;
        background-color: #FFFFFF;
    }
}